# -*- coding: utf-8 -*-
"""
Created on Thu Mar 21 14:05:30 2019

@author: lolo
"""

from numpy import *
import matplotlib.pyplot as plt


#%%
random.seed(1)
xx = random.normal(size=1000)

plt.figure()
plt.hist(xx)
plt.xlabel('Valor')
plt.ylabel('# de apariciones')





#%%
random.seed(1)

import numpy as np
import matplotlib.pyplot as plt
from matplotlib.ticker import NullFormatter

# the random data
x = np.random.randn(200)
y = np.arange(200)

nullfmt = NullFormatter()         # no labels

# definitions for the axes
left, width = 0.1, 0.65
bottom, height = 0.1, 0.65
bottom_h = left_h = left + width + 0.02

rect_scatter = [left, bottom, width, height]
rect_histx = [left, bottom_h, width, 0.2]
rect_histy = [left_h, bottom, 0.2, height]

# start with a rectangular Figure
plt.figure(1, figsize=(8, 8))

axScatter = plt.axes(rect_scatter)
axHistx = plt.axes(rect_histx)
#axHisty = plt.axes(rect_histy)

# no labels
axHistx.xaxis.set_major_formatter(nullfmt)
#axHisty.yaxis.set_major_formatter(nullfmt)

# the scatter plot:
axScatter.scatter(x, y, marker='.')

# now determine nice limits by hand:
binwidth = 0.25
#xymax = np.max([np.max(np.fabs(x)), np.max(np.fabs(y))])
xmax = np.max(np.fabs(x))
ymax = np.max(np.fabs(y))

limx = (int(xmax/binwidth) + 1) * binwidth
limy = (int(ymax/binwidth) + 1) * binwidth



axScatter.set_xlim((-limx, limx))
axScatter.set_ylim((0, limy))
axScatter.set_ylabel('Num de medicion')



bins = np.arange(-limx, limx + binwidth, binwidth)
axHistx.hist(x, bins=bins)
#axHisty.hist(y, bins=bins, orientation='horizontal')

axHistx.set_xlim(axScatter.get_xlim())
#axHisty.set_ylim(axScatter.get_ylim())

axScatter.set_xticks(bins)
axHistx.set_xticks(bins)

axScatter.grid(b=True,axis='x')
axHistx.grid(b=True,axis='x')

axScatter.set_xticklabels( [ str(y/4.0) if y%4==0 else ''  for y in (bins*4).astype(int) ] )
axScatter.set_xlabel('Valor medido')

plt.show()




#%%
random.seed(1)

xx = random.normal(size=1000)

plt.figure()

plt.subplot(311)
plt.title('1000 mediciones')

plt.hist(xx)
plt.ylabel('# bins = 10')

plt.subplot(312)
plt.hist(xx,30)
plt.ylabel('# bins = 30')

plt.subplot(313)
plt.hist(xx,100)
plt.ylabel('# bins = 100')



#%%
random.seed(1)
xx = random.normal(size=1000)

plt.figure()
plt.hist(xx,20)
plt.xlabel('Valor')
plt.ylabel('# de apariciones')











